package com.yunfeiyun.agmp.fms.service.impl;

import com.yunfeiyun.agmp.fms.domain.FmsCropcalarm;
import com.yunfeiyun.agmp.fms.mapper.FmsCropcalarmMapper;
import com.yunfeiyun.agmp.fms.domain.reqvo.FmsCalarmListReqVo;
import com.yunfeiyun.agmp.fms.domain.resvo.FmsCalarmListResVo;
import com.yunfeiyun.agmp.fms.service.IFmsCropcalarmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 作物虫害Service业务层处理
 * 
 * @author 杨晓辉
 * @date 2023-06-14
 */
@Service
public class FmsCropcalarmServiceImpl implements IFmsCropcalarmService
{
    @Autowired
    private FmsCropcalarmMapper fmsCropcalarmMapper;

    /**
     * 查询作物虫害
     * 
     * @param cropcalarmId 作物虫害主键
     * @return 作物虫害
     */
    @Override
    public FmsCropcalarm selectFmsCropcalarmByCropcalarmId(String cropcalarmId)
    {
        return fmsCropcalarmMapper.selectFmsCropcalarmByCropcalarmId(cropcalarmId);
    }

    /**
     * 查询作物虫害列表
     * 
     * @param reqVo 作物虫害
     * @return 作物虫害
     */
    @Override
    public List<FmsCalarmListResVo> selectFmsCropcalarmList(FmsCalarmListReqVo reqVo)
    {
        return fmsCropcalarmMapper.selectFmsCropcalarmList(reqVo);
    }

    @Override
    public List<FmsCalarmListResVo> selectNameListForCalarm(FmsCalarmListReqVo reqVo) {
        return fmsCropcalarmMapper.selectNameListForCalarm(reqVo);
    }

    /**
     * 新增作物虫害
     * 
     * @param fmsCropcalarm 作物虫害
     * @return 结果
     */
    @Override
    public int insertFmsCropcalarm(FmsCropcalarm fmsCropcalarm)
    {
        return fmsCropcalarmMapper.insertFmsCropcalarm(fmsCropcalarm);
    }

    /**
     * 修改作物虫害
     * 
     * @param fmsCropcalarm 作物虫害
     * @return 结果
     */
    @Override
    public int updateFmsCropcalarm(FmsCropcalarm fmsCropcalarm)
    {
        return fmsCropcalarmMapper.updateFmsCropcalarm(fmsCropcalarm);
    }

    /**
     * 批量删除作物虫害
     * 
     * @param cropcalarmIds 需要删除的作物虫害主键
     * @return 结果
     */
    @Override
    public int deleteFmsCropcalarmByCropcalarmIds(String[] cropcalarmIds)
    {
        return fmsCropcalarmMapper.deleteFmsCropcalarmByCropcalarmIds(cropcalarmIds);
    }

    /**
     * 删除作物虫害信息
     * 
     * @param cropcalarmId 作物虫害主键
     * @return 结果
     */
    @Override
    public int deleteFmsCropcalarmByCropcalarmId(String cropcalarmId)
    {
        return fmsCropcalarmMapper.deleteFmsCropcalarmByCropcalarmId(cropcalarmId);
    }
}
